统计看板找到 4 个接口
组合节点看板数据
composeServerStatNodeBoard
POST
/ServerStatBoardService/composeServerStatNodeBoard- 定义文件
service_server_stat_board.proto- 可用角色
- 管理员
原始定义
rpc composeServerStatNodeBoard (ComposeServerStatNodeBoardRequest) returns (ComposeServerStatNodeBoardResponse);请求消息
ComposeServerStatNodeBoardRequest组合节点看板数据
请求消息 · 字段定义
message ComposeServerStatNodeBoardRequest {
int64 nodeId = 1; // 节点ID
}响应消息
ComposeServerStatNodeBoardResponse响应消息 · 字段定义
message ComposeServerStatNodeBoardResponse {
bool isActive = 1;
int64 trafficInBytes = 2;
int64 trafficOutBytes = 3;
int64 countRequests = 4;
int64 countAttackRequests = 5;
int64 countConnections = 6;
int64 cacheDiskSize = 7;
int64 cacheMemorySize = 8;
float cpuUsage = 9;
float memoryUsage = 10;
int64 memoryTotalSize = 11;
float load = 12;
int64 monthlyTrafficBytes = 13; // 当月流量
int64 dailyTrafficBytes = 14; // 当日流量
int64 lastDailyTrafficBytes = 15; // 昨日流量
repeated DailyTrafficStat dailyTrafficStats = 31;
repeated HourlyTrafficStat hourlyTrafficStats = 32;
repeated NodeValue cpuNodeValues = 34; // CPU数据
repeated NodeValue memoryNodeValues = 35; // 内存数据
repeated NodeValue loadNodeValues = 36; // 负载数据
repeated NodeValue cacheDirsValues = 38; // 缓存目录数据
repeated NodeValue networkPacketsValues = 39; // 网络数据包数据
repeated MetricDataChart metricDataCharts = 37;
message DailyTrafficStat {
string day = 1;
int64 bytes = 2;
int64 cachedBytes = 3;
int64 countRequests = 4;
int64 countCachedRequests = 5;
int64 countAttackRequests = 6;
int64 attackBytes = 7;
}
message HourlyTrafficStat {
string hour = 1;
int64 bytes = 2;
int64 cachedBytes = 3;
int64 countRequests = 4;
int64 countCachedRequests = 5;
int64 countAttackRequests = 6;
int64 attackBytes = 7;
}
}